Bug 863145 - (listadmin) Review Request: listadmin - Command line interface to mailman mailing lists
Review Request: listadmin - Command line interface to mailman mailing lists
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 10:26 EDT by Torrie Fischer
Modified: 2015-11-22 03:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torrie Fischer 2012-10-04 10:26:14 EDT
Spec URL: http://wm161.net/~tdfischer/listadmin.spec
SRPM URL: http://wm161.net/~tdfischer/listadmin-2.40-1.fc17.src.rpm
Description:
Mailman has a friendly but rather awkward web interface for manipulating the 
queue of messages held for moderator approval. It is designed to keep user
interaction to a minimum, in theory you could run it from cron to prune the 
queue. It can use the score from a header added by SpamAssassin to filter, or it
can match specific senders, subjects, or reasons.
Fedora Account System Username: tdfischer
Comment 1 Torrie Fischer 2012-10-04 10:41:55 EDT
Koji build success: http://koji.fedoraproject.org/koji/taskinfo?taskID=4559331
Comment 2 Mario Blättermann 2012-10-04 17:59:34 EDT
$ rpmlint -i -v *
listadmin.noarch: I: checking
listadmin.noarch: W: spelling-error %description -l en_US cron -> corn, con, crone
The value of this tag appears to be misspelled. Please double-check.

listadmin.noarch: E: no-changelogname-tag
There is no %changelog tag in your spec file. To insert it, just insert a
'%changelog' in your spec file and rebuild it.

listadmin.noarch: I: checking-url http://heim.ifi.uio.no/kjetilho/hacks/#listadmin (timeout 10 seconds)
listadmin.noarch: W: manual-page-warning /usr/share/man/man1/listadmin.1.gz 214: warning: numeric expression expected (got `[')
This man page may contain problems that can cause it not to be formatted as
intended.

listadmin.noarch: W: manual-page-warning /usr/share/man/man1/listadmin.1.gz 217: warning: numeric expression expected (got `[')
This man page may contain problems that can cause it not to be formatted as
intended.

listadmin.noarch: W: manual-page-warning /usr/share/man/man1/listadmin.1.gz 219: warning: numeric expression expected (got `[')
This man page may contain problems that can cause it not to be formatted as
intended.

listadmin.noarch: W: manual-page-warning /usr/share/man/man1/listadmin.1.gz 222: warning: numeric expression expected (got `a')
This man page may contain problems that can cause it not to be formatted as
intended.

listadmin.src: I: checking
listadmin.src: W: spelling-error %description -l en_US cron -> corn, con, crone
The value of this tag appears to be misspelled. Please double-check.

listadmin.src: E: no-changelogname-tag
There is no %changelog tag in your spec file. To insert it, just insert a
'%changelog' in your spec file and rebuild it.

listadmin.src: I: checking-url http://heim.ifi.uio.no/kjetilho/hacks/#listadmin (timeout 10 seconds)
listadmin.src: W: invalid-url Source0: listadmin-2.40.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

listadmin.spec: W: invalid-url Source0: listadmin-2.40.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 2 errors, 8 warnings.



Besides the warnings and errors from rpmlint, some more issues:

Perl is not needed as an explicit requirement. RPM found the following dependencies automatically:

/usr/bin/perl  
perl  
perl(Data::Dumper)  
perl(Encode)  
perl(English)  
perl(Getopt::Long)  
perl(HTML::TokeParser)  
perl(I18N::Langinfo)  
perl(LWP::UserAgent)  
perl(MIME::Base64)  
perl(MIME::QuotedPrint)  
perl(Term::ReadLine)  
perl(Text::Reform)  
perl(strict)

The initial cleaning of $RPM_BUILD_ROOT in %install is obsolete, unless you want to provide your package for EPEL 5. See http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines.

The man page is not to be considered as part of %doc. If there are no docs, just omit the %doc macro. Moreover, replace the man page extension by * because the compression format could change in the future.
Comment 3 Mario Blättermann 2012-10-27 10:11:53 EDT
Ping...?
Comment 4 Michael Schwendt 2012-12-13 13:04:15 EST
> %build
> make %{?_smp_mflags}

build.log output says:

+ cd listadmin-2.40
+ make -j2
Nothing needs to be done
+ exit 0

Not a big issue, but it's possible to leave the %build section empty. You could even delete the %build section completely.

If you want to keep running "make" because there is a Makefile, the invocation should change the default PREFIX=/usr/local to be in sync with the %install section. "make PREFIX=/usr", else it could happen that the wrong PREFIX would enter built files, e.g. via substitutions (or compilation for other packages in general).


> %doc %{_mandir}/man1/listadmin.1.gz

As in comment 2, files below %{_mandir} are marked as %doc automatically. It's not necessary to use %doc here explicitly.
Comment 5 Trond H. Amundsen 2012-12-14 07:15:59 EST
(In reply to comment #4)

> > %doc %{_mandir}/man1/listadmin.1.gz
> 
> As in comment 2, files below %{_mandir} are marked as %doc automatically.
> It's not necessary to use %doc here explicitly.

Also, and this is a major nitpick, you shouldn't specify ".gz" here, as the compression used for manpages may change in the future. In addition, it increases the portability of the spec, as other rpm-based distros use other compression algorithms. I believe e.g. SUSE uses bzip2. This should do:

%{_mandir}/man1/listadmin.1*
Comment 6 Michael Schwendt 2012-12-19 17:33:57 EST
True.

I've pointed out something like that many times before, but have nearly given up doing so unless I assign a full review to myself. There are packagers who reintroduce *.gz and similar wildcards in existing packages and in new package submissions, because they don't care until the compression changes actually or until the guidelines make it a MUST item. You can also meet some who refuse to
use  listadmin.1*  because it would include uncompressed *and* compressed files at the same time. They would then accept  listadmin.1.*  even if only reluctantly. ;)

Though, I wouldn't call it "a major nitpick", since the compression technique hasn't changed for years. It could be, however, that someone (downstream or locally) reconfigures it, and to make the spec file more versatile (and future-proof) is added value.
Comment 7 Murray McAllister 2014-03-05 23:59:16 EST
Hello,

Jakub Wilk reported a temporary file issue in listadmin:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=740891

Could this be fixed (I don't believe there is an upstream fix yet) before the listadmin package is released into Fedora?

Cheers,

--
Murray McAllister / Red Hat Security Response Team
Comment 8 Upstream Release Monitoring 2015-11-22 03:59:52 EST
amigadave's scratch build of listadmin-2.40-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11945268

Note You need to log in before you can comment on or make changes to this bug.